POST
Sign a NEP-413 message with the agent's NEAR key

Authorizations

X-API-Key
string
header
required
X-Grant-Token
string
header
required

Token of the owner grant a delegated request runs under. The partner creates it and the owner signs its commitment; keep it on your backend.

Path Parameters

agent_id
string
required
Pattern: ^[0-9a-f]{64}$

Body

application/json
message
string
required
Required string length: 1 - 32768
recipient
string
required
Required string length: 1 - 128
Pattern: ^[\x21-\x7e]+$
nonce
string
required
Pattern: ^[A-Za-z0-9+/]{43}=$
encoding
enum<string>
default:utf8
Available options:
utf8,
hex

Response

Success

correlation_id
string
required
Pattern: ^op_[A-Za-z0-9_-]{43}$
near_account_id
string
required
Required string length: 2 - 64
public_key
string<starts_with>
required
Maximum string length: 80
Pattern: ^ed25519:.*
signature
string
required
Pattern: ^[A-Za-z0-9+/]{86}==$
nonce
string
required
Pattern: ^[A-Za-z0-9+/]{43}=$
recipient
string
required
Required string length: 1 - 128
Pattern: ^[\x21-\x7e]+$